/**
 * ContextControlPropagating.java
 *
 * File generated from the medication::ContextControlPropagating uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ContextControlPropagating.
 *
 * 
 */

@XmlType(name = "ContextControlPropagating")
@XmlEnum
@XmlRootElement(name = "ContextControlPropagating")
public enum ContextControlPropagating {
	@XmlEnumValue("AP")
	AP("AP"),
	@XmlEnumValue("OP")
	OP("OP");
	
	private final String value;

    ContextControlPropagating(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static ContextControlPropagating fromValue(String v) {
        for (ContextControlPropagating c: ContextControlPropagating.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}